Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Class ServiceInstanceInfo

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.ServiceInstanceParameter
          de.uka.cmtm.serviceregistry.query.ServiceInstanceInfo

All Implemented Interfaces:
  Cloneable

    public class ServiceInstanceInfo

extends ServiceInstanceParameter

This class represents a service instance found during search.

Author:
  tilmann

Constructor Summary
`ServiceInstanceInfo()`

Method Summary
`ServiceInstanceInfo` | `clone()`
`double` | `getRelevance()`
`String` | `getServiceName()`
`String` | `getWsdlLocation()`
`void` | `setRelevance(double relevance)`
`void` | `setServiceName(String serviceName)`
`void` | `setWsdlLocation(String wsdlLocation)`
`String` | `toString()`

Methods inherited from class de.uka.cmtm.serviceregistry.query.ServiceInstanceParameter
`getBusinessName, getProfileUri, setBusinessName, setProfileUri`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceInstanceInfo

    public ServiceInstanceInfo()

Method Detail

### getRelevance

    public double getRelevance()

  Returns:
    the relevance

### setRelevance

    public void setRelevance(double relevance)

  Parameters:
    `relevance` - the relevance to set

### getWsdlLocation

    public String getWsdlLocation()

  Returns:
    Returns the wsdlLocation.

### setWsdlLocation

    public void setWsdlLocation(String wsdlLocation)

  Parameters:
    `wsdlLocation` - The wsdlLocation to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `ServiceInstanceParameter`

### clone

    public ServiceInstanceInfo clone()

  Overrides:
    `clone` in class `ServiceInstanceParameter`

### getServiceName

    public String getServiceName()

  Returns:
    the serviceName

### setServiceName

    public void setServiceName(String serviceName)

  Parameters:
    `serviceName` - the serviceName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD